#!/bin/bash
#########################################################################################
#
# CloudClient  : Management Business Unit, VMware
# Description  : Sample script to generate a sample json file that can be used to create a new vSphere reservation.
# Date         : December 2015
# Version      : vRA 7.0
#
#########################################################################################
#
# Setup environment variables for auto login to CloudClient Shell
. ./env.sh

# Provide businessGroupId and computeResourceId
export businessGroupId='"cloudclient-ITs-bg"'
export computeResourceId='"vCenter-Cluster"'
export reservationName='"VSphereReservationName"'

# Execute CloudClient
$cloudclient_home/bin/cloudclient.sh vra reservation generate template --type VSPHERE --name $reservationName --businessGroupId $businessGroupId --computeResourceId $computeResourceId --export /tmp/vsphere-request.json